#' sprex
#' 
#' "_PACKAGE"
#' @name sprex-package
#' @aliases sprex
#' @title Calculate species richness and extrapolation metrics
#' @description Calculate species richness and expected number of species 
#'   primarily based on algorithms in Colwell, R.K., A. Chao, N.J. Gotelli, 
#'   S.-Y. Lin, C.X. Mao, R.L. Chazdon, and J.T. Longino. 2012. Models and 
#'   estimators linking individual-based and sample-based rarefaction, 
#'   extrapolation and comparison of assemblages. 
#'   Journal of Plant Ecology 5(1):3-21.
NULL

#' @docType data
#' @name osa.old.growth
#' @aliases osa.second.growth
#' @title Osa beetle species counts
#' @usage data(osa.old.growth)
#' data(osa.second.growth)
#' @description Matrices of the number of beetle species (\code{fi}) occuring 
#'   \code{i} times in a survey.
#' @references Janzen DH (1973) Sweep samples of tropical foliage insects: 
#'   effects of seasons, vegetation types, elevation, time of day, 
#'   and insularity. Ecology 54:687-708.\cr
#'   Janzen DH (1973) Sweep samples of tropical foliage insects: 
#'   description of study sites, with data on species abundances and size 
#'   distributions. Ecology 54:659-86.
#' @keywords datasets
NULL
